#ifndef AIR_H
#define AIR_H

#include <QWidget>
#include <QVBoxLayout>
#include <QLabel>
#include "global/corevar.h"
#include <QGSettings/QGSettings>
class air : public QWidget
{
    Q_OBJECT
public:
    explicit air(QWidget *parent = nullptr);
    void setItemContent(QString text);
    void isFullScreen(int);
    int m_judgeFullScreen;

private:
    QVBoxLayout *m_airLayout;
    QLabel *m_airIcon;
    QLabel *m_str;
    QLabel *m_degree;
    QString airpath = ":/res/contorl_icons/index_air.png";

    void initLayout();
    void initQss(double);
    void lable2SetFontSizeSlot(int size);
    QGSettings *m_fontSize = nullptr;

signals:
    void setFontSizeSignal(int);
};

#endif // AIR_H
